# Uses of Class
javax.net.ssl.SNIMatcher

Packages that use SNIMatcher
Package
Description
javax.net.ssl
Provides classes for the secure socket package.

## Uses of SNIMatcher in javax.net.ssl

Methods in javax.net.ssl that return SNIMatcher
Modifier and Type
Method
Description
`static SNIMatcher`
SNIHostName.`createSNIMatcher(String regex)`
Creates an `SNIMatcher` object for `SNIHostName`s.
Methods in javax.net.ssl that return types with arguments of type SNIMatcher
Modifier and Type
Method
Description
`final Collection<SNIMatcher>`
SSLParameters.`getSNIMatchers()`
Returns a `Collection` containing all `SNIMatcher`s of the Server Name Indication (SNI) parameter, or null if none has been set.
Method parameters in javax.net.ssl with type arguments of type SNIMatcher
Modifier and Type
Method
Description
`final void`
SSLParameters.`setSNIMatchers(Collection<SNIMatcher> matchers)`
Sets the `SNIMatcher`s of the Server Name Indication (SNI) parameter.